@font-face {
    font-family: "Raleway";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url("../assets/raleway-var.woff2") format("woff2");
}

:root {
    --light-sea-green: #48bfad;
    --teal: #006d70;
    --royal-blue: #085893;
    --steel-blue: #4686c6;
    --violet: #613e8e;
    --orchid: #c67ab3;
    --medium-violet-red: #c71780;
    --plum: #c69aff;
    --medium-purple: #a17ad3;
    --pale-turquoise: #93dbd0;
    --dark-gray: #353535;
    --near-black: #1f1f1f;
}

* {
    box-sizing: border-box;
}

body {
    background-color: #272727;
    margin: 0;
    font-family: Raleway, sans-serif;
    font-size: 14px;
    line-height: 20px;
}

img {
    max-width: 100%;
    vertical-align: middle;
    display: inline-block;
}

p {
    margin: 0 0 10px;
}

.gradientline {
    z-index: 5000;
    background-image: linear-gradient(to right, var(--light-sea-green), var(--teal) 17%, var(--royal-blue) 35%, var(--steel-blue) 51%, var(--violet) 70%, var(--orchid) 85%, var(--medium-violet-red));
    width: 100%;
    height: 5px;
    position: fixed;
    top: 0;
    left: 0;
}

.gradientline.inline {
    position: static;
}

.gradientline.bottomfix {
    position: absolute;
    top: auto;
    bottom: 0;
}

.hero {
    background-color: #000;
    background-image: linear-gradient(40deg, #000c, #0009 37%, #0000 71%), url("../assets/hero-bg.jpg");
    background-position: 0 0, 100%;
    background-repeat: repeat, no-repeat;
    background-size: auto, cover;
    flex-direction: column;
    align-items: flex-start;
    padding: 55px 75px;
    display: flex;
    position: relative;
}

.logo {
    width: 375px;
    margin-left: -24px;
}

.main-header {
    color: #fff;
    text-shadow: 0 5px 6px #000;
    margin: 20px 0 10px;
    font-size: 70px;
    font-weight: 100;
    line-height: 70px;
}

.colortxt {
    color: var(--plum);
    font-weight: 800;
}

.herobodycopy {
    color: #fff;
    text-shadow: 0 5px 6px #000;
    width: 700px;
    margin-bottom: 24px;
    font-size: 18px;
    line-height: 24px;
}

.button {
    color: #fff;
    background-color: var(--medium-violet-red);
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    padding: 9px 25px;
    font-size: 16px;
    font-weight: 700;
    line-height: 21px;
    transition: all 0.8s;
}

.button:hover {
    background-color: var(--light-sea-green);
}

.button.login {
    background-color: #414141;
    margin-top: 25px;
    margin-right: 20px;
    position: absolute;
    top: 0;
    right: 0;
}

.button.login:hover {
    background-color: var(--medium-purple);
}

.section {
    text-align: center;
    width: 90%;
    margin: 0 auto 70px;
    padding-top: 30px;
}

.section-header {
    color: #fff;
    margin: 20px 0 5px;
    font-size: 60px;
    font-weight: 100;
    line-height: 70px;
}

.heading {
    color: var(--plum);
    font-size: 20px;
    font-weight: 400;
    line-height: 26px;
}

.grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 50px;
    grid-row-gap: 50px;
    margin-top: 40px;
}

.boxholder {
    background-color: var(--dark-gray);
    text-align: center;
    border: 1px solid #555;
    border-bottom-style: none;
    padding: 19px 28px;
    position: relative;
}

.gridicon {
    height: 140px;
}

.gridheader {
    color: var(--plum);
    margin: 20px 0;
    font-size: 38px;
    font-weight: 600;
    line-height: 39px;
}

.bodycopy {
    color: #e7e7e7;
    font-size: 16px;
    line-height: 22px;
}

.darkersection {
    background-color: #131313;
    padding-bottom: 30px;
}

.horizbox {
    background-color: var(--near-black);
    text-align: left;
    border: 1px solid #494949;
    margin-top: 20px;
    padding: 20px;
}

.boldtext {
    color: var(--medium-purple);
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: 700;
}

.gridheader.teal,
.boldtext.teal {
    color: var(--pale-turquoise);
}

.gridheader.pink,
.boldtext.pink {
    color: var(--orchid);
}

.boldtext.plum {
    color: var(--plum);
}

.bottom-logo {
    width: 20%;
    margin-top: 20px;
}

.email-link {
    color: var(--plum);
    display: inline-block;
    margin-top: 10px;
    font-size: 24px;
    font-weight: 600;
    line-height: 30px;
    text-decoration: none;
    border-bottom: 2px solid var(--medium-violet-red);
    padding-bottom: 2px;
    transition: color 0.3s, border-bottom-color 0.3s;
}

.email-link:hover {
    color: var(--light-sea-green);
    border-bottom-color: var(--light-sea-green);
}

.footer {
    text-align: center;
    background-color: #000;
    padding-top: 10px;
    padding-bottom: 10px;
}

@media screen and (max-width: 991px) {
    .hero {
        background-image: linear-gradient(#0000004d, #0000004d), linear-gradient(90deg, #000, #0009 51%, #0000), url("../assets/hero-bg.jpg");
        background-position: 0 0, 0 0, 94% 100%;
        background-repeat: repeat, repeat, no-repeat;
        background-size: auto, auto, cover;
        padding: 55px 48px;
    }

    .herobodycopy {
        max-width: 100%;
    }

    .button.login {
        padding: 4px 15px;
        font-size: 12px;
    }

    .section-header {
        font-size: 45px;
        line-height: 52px;
    }

    .grid {
        grid-template-columns: 1fr;
    }

    .bottom-logo {
        width: 40%;
    }
}

@media screen and (max-width: 767px) {
    .hero {
        background-image: linear-gradient(#0000004d, #0000004d), linear-gradient(90deg, #0009, #0009 67%, #00000080), url("../assets/hero-bg.jpg");
        background-position: 0 0, 0 0, 50% -120%;
        background-size: auto, auto, auto;
    }

    .main-header {
        font-size: 55px;
        line-height: 58px;
    }

    .button.login {
        margin-top: 15px;
        margin-right: 10px;
    }

    .bottom-logo {
        margin-top: 10px;
    }
}

@media screen and (max-width: 479px) {
    .logo {
        width: 85vw;
        margin-top: 25px;
        margin-left: -7px;
    }

    .hero {
        background-image: linear-gradient(#0006, #0006), linear-gradient(90deg, #00000080, #00000080 39%, #0000004d), url("../assets/hero-bg.jpg");
        background-position: 0 0, 0 0, 50% 100%;
        padding: 30px 20px;
    }

    .section {
        margin-bottom: 60px;
    }

    .grid {
        grid-row-gap: 30px;
    }

    .boxholder {
        padding-left: 20px;
        padding-right: 20px;
    }

    .bottom-logo {
        width: 80%;
    }
}
